Announcement Announcement Module
Collapse
No announcement yet.
sample spring applications don't work (:- Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • sample spring applications don't work (:-

    Hi,

    I downloaded spring-framework-2.5.6.SEC01-with-dependencies and could build the sample apps such as petstore, imagedb and petclinic. When building, I used the default properties(such as using HSQL db etc.) However, each of these apps seems to have problems running as follows. I am using jdk1.6.0_13 and tried them on both 5.0.1.GA and Tomcat Tomcat Version 6.0.18:

    PetStore: This application does not display the data. e.g., if you click on "DOGS" or "FISH", the next screen displays JSP/JSTL code directly(instead of the data) such as: ${category.name}. You can navigate the screens, but they just don't display any data. As stated, I built it using default values.

    ImageDB: If you try to upload a 140Kb image using this app, it craps out saying: Size is too large for content(which is a blob).

    PetClinic: On deploying this JBOSS throws an error saying something like:
    org.jboss.deployers.spi.DeploymentException: Error creating managed object for vfszip:/C:/OpenSource/jboss/server/default/deploy/petclinic.war/
    Caused by: org.jboss.xb.binding.JBossXBException: Failed to parse source:
    Caused by: org.jboss.xb.binding.JBossXBException: Failed to parse source: Failed to parse schema for ns
    Caused by: org.jboss.xb.binding.JBossXBRuntimeException: -1:-1 1:55 White spaces are required between publicId and systemId.

    Ironically, I could easily build, deploy and run the petstore app from the 2003 book J2EEDesignAndDevWithoutEJB using the above mentioned environment. However, I cannot successfully run the sample apps bundled with: spring-framework-2.5.6.SEC01-with-dependencies and spring-framework-2.0.8-with-dependencies.

    What's wrong here..???

    Thanks.
Working...
X